<?php
 // -- Espace de noms EPerso --
 namespace EPerso
 {
  use \EPerso\Personnel as AP_Personnel;
  use \EPerso\ECadre\Personnel as AC_Personnel; 
  class Personnel
  { // -- Les propriétés --
    private $_nom   ;
    // -- Constructeur --
    function __construct($n) {$this->_nom=$n;}
    public function Affiche() {echo "Personnel:".$this->_nom.PHP_EOL;}
  }
  echo "Espace de noms : ".__NAMESPACE__.PHP_EOL;
  $UnePers1 = new AP_Personnel("dupont"); // Alias
  $UnePers1->Affiche();
  $UnePers2 = new AC_Personnel("martin"); // Alias
  $UnePers2->Affiche();
 }
 // -- Espace de noms EPerso\ECadre --
 namespace EPerso\ECadre
 {
  use \EPerso\ECadre\Personnel as AC_Personnel;
  class Personnel
  { // -- Les propriétés --
    private $_nom   ;
    // -- Constructeur --
    function __construct($n) {$this->_nom=$n;}
    public function Affiche() {echo "Cadre:".strtoupper($this->_nom).PHP_EOL;}
  }
  echo "Espace de noms : ".__NAMESPACE__.PHP_EOL;
  $UnePers1 = new Personnel("leroy"); // non qualifié
  $UnePers1->Affiche();
  $UnePers2 = new AC_Personnel("dabert"); // Alias
  $UnePers2->Affiche();
 }
?>
